[unixODBC-support] Problems usinf unixOdbc with php5 andPervasiveSQL Driver

Nick Gorham nick.gorham at easysoft.com
Mon Nov 12 14:52:24 GMT 2007


Emiliano Romero wrote:

>Hi!, you should have a "PHP Variables" and a _ENV['LD_LIBRARY_PATH']... if
>you don’t, then php is not seeing the LD_LIBRARY_PATH environment var. Like
>I said in the last mail, you should try putting the env variable in your
>/etc/init.d/apache2 file... in the first part. I paste you a part of my
>init.d file...
>
># Copyright 1999-2007 Gentoo Foundation
># Distributed under the terms of the GNU General Public License v2
>
>export PATH=$PATH:/opt/informix/bin;
>export INFORMIXSERVER=stknm;
>export INFORMIXDIR=/opt/informix;
>export
>LD_LIBRARY_PATH=/opt/oracle/instantclient_10_2/sdk/lib:/opt/informix/lib/esq
>l/;
>
>I have the same problem as you, after some days I solve the problem with
>this, any way I'm not using unixODBC because it give's me a Segmentation
>Fault in apache when I use Connection Pooling.
>  
>

Err, so by not using unixODBC, you don't use connection pooling? Or do 
you mean pconnect in PHP?

-- 
Nick Gorham
Easysoft Limited
http://www.easysoft.com, http://www.unixODBC.org




More information about the unixODBC-support mailing list